Skip to main content

API Authentication

Generate Access Token

Create a short-lived access token for client-side use.

POST /v1/tokens

Request Body

FieldTypeRequiredDescription
scopesstring[]YesPermissions for the token
expires_inintegerNoLifetime in seconds (default: 3600, max: 86400)

Example

curl -X POST \
-H "Authorization: Bearer gc_live_abc123..." \
-H "Content-Type: application/json" \
-d '{"scopes": ["imagery:read"], "expires_in": 3600}' \
https://api.geolocarta.com/v1/tokens

Response

{
"data": {
"token": "gc_tok_xyz789...",
"expires_at": "2026-03-15T11:00:00Z",
"scopes": ["imagery:read"]
}
}

Available Scopes

ScopeDescription
imagery:readSearch and download imagery
cadastral:readQuery cadastral data
layers:readView map layers
layers:writeCreate and modify layers
orders:writePlace imagery orders
Was this page helpful?